Subject: Re: Persistent problem with handshake unit tests

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Feb 2024 16:47:05 -0800

On Fri, 2 Feb 2024 12:51:07 -0800 Guenter Roeck wrote:
> > I have CONFIG_NET_HANDSHAKE_KUNIT_TEST=y enabled in my configuration.
> > The tests run during boot, so no additional work is needed. I don't run all
> > tests because many take too long to execute in qemu.

I was wondering how do you discover the options. Periodically grep for
new possible KUNIT options added to the kernel? Have some script that
does it.

> Follow-up: If this test isn't supposed to run during boot, please
> let me know and I'll drop it.

FWIW I don't see why, but Chuck is the best person to comment.